Get workspace list

Prev Next

Available in VPC

Get the list of workspaces in an account.

Request

This section describes the request format. The method and URI are as follows:

Method URI
GET /api/v1/workspaces

Request headers

For information about the headers common to all Media Intelligence APIs, see Media Intelligence request headers.

Request query parameters

The following describes the parameters.

Field Type Required Description
pageNum Integer Required Page number to query
pageSize Integer Optional Number of queried items per page
  • 1-1000
  • Default: 1000

Request example

The request example is as follows:

curl --location --request GET 'https://mi.apigw.ntruss.com/api/v1/workspaces?pageNum=1&pageSize=100' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \
--header 'Content-Type: application/json'

Response

This section describes the response format.

Response body

The response body includes the following data:

Field Type Required Description
code String Required API processing result code
message String Required API processing result message
result Object Required API return information
result.totalCount Integer Required Total number of workspaces
result.totalPage Integer Required Total number of pages
result.pageNo Integer Required Requested page number
result.pageSize Integer Required Requested page size
result.content Array Required Workspace list

result.content

Field Type Required Description
workspaceName String Required Workspace name
workspaceUrl String Required Workspace URL
bucketName String Optional Integrated Object Storage bucket name
createdUserName String Required Creator name
createdTime String Required Creation date and time
  • ISO 8601 format
updatedUserName String Required Modifier name
updatedTime String Required Modification date and time
  • ISO 8601 format

Response status codes

For information about the HTTP status codes common to all Media Intelligence APIs, see Media Intelligence response status codes.

Response example

The response example is as follows:

{
    "code": "0",
    "message": "success",
    "result": {
        "totalCount": 2,
        "totalPage": 1,
        "pageNo": 1,
        "pageSize": 100,
        "content": [
            {
                "workspaceName": "my-workspace",
                "workspaceUrl": "https://mi.apigw.ntruss.com/api/v1/workspaces/my-workspace",
                "bucketName": "my-bucket",
                "createdUserName": "user123",
                "createdTime": "2026-03-18T10:30:00",
                "updatedUserName": "user123",
                "updatedTime": "2026-03-18T10:30:00"
            },
            {
                "workspaceName": "test-workspace",
                "workspaceUrl": "https://mi.apigw.ntruss.com/api/v1/workspaces/test-workspace",
                "bucketName": "test-bucket",
                "createdUserName": "user456",
                "createdTime": "2026-03-17T09:00:00",
                "updatedUserName": "user456",
                "updatedTime": "2026-03-17T09:00:00"
            }
        ]
    }
}